Get Calls
curl --request GET \
--url https://realtime.govworx.net/realtime/v1/callimport requests
url = "https://realtime.govworx.net/realtime/v1/call"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://realtime.govworx.net/realtime/v1/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "<string>",
"call_sid": "<string>",
"call_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"summary": null,
"call_socket": {
"token": {
"token": "<string>",
"expires": 123,
"issued": 123,
"capability": "<string>",
"clientId": "<string>"
},
"channel": "<string>",
"updates_channel_host": "<string>",
"encryption_key": "<string>"
},
"call_details_record": {
"ani_number": "<string>",
"call_duration_ms": 123,
"call_started_at": "2023-11-07T05:31:56Z",
"call_answered_at": "2023-11-07T05:31:56Z",
"call_ended_at": "2023-11-07T05:31:56Z"
},
"call_locations": [
{
"latitude": 123,
"longitude": 123,
"accuracy": 123,
"city": "<string>",
"state": "<string>",
"streetAddress": "<string>",
"country": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"viewers": [
{
"userId": 123,
"firstName": "<string>",
"lastName": "<string>"
}
],
"agencies": [
{
"id": 123,
"name": "<string>",
"code": "<string>",
"type": "<string>"
}
]
}
],
"pageable": {
"pageNumber": 0,
"pageSize": 5,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"offset": 0,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 7,
"totalElements": 34,
"numberOfElements": 5,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"first": true,
"size": 5,
"number": 0,
"empty": true
}{
"content": [
{
"id": "<string>",
"call_sid": "<string>",
"call_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"summary": null,
"call_socket": {
"token": {
"token": "<string>",
"expires": 123,
"issued": 123,
"capability": "<string>",
"clientId": "<string>"
},
"channel": "<string>",
"updates_channel_host": "<string>",
"encryption_key": "<string>"
},
"call_details_record": {
"ani_number": "<string>",
"call_duration_ms": 123,
"call_started_at": "2023-11-07T05:31:56Z",
"call_answered_at": "2023-11-07T05:31:56Z",
"call_ended_at": "2023-11-07T05:31:56Z"
},
"call_locations": [
{
"latitude": 123,
"longitude": 123,
"accuracy": 123,
"city": "<string>",
"state": "<string>",
"streetAddress": "<string>",
"country": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"viewers": [
{
"userId": 123,
"firstName": "<string>",
"lastName": "<string>"
}
],
"agencies": [
{
"id": 123,
"name": "<string>",
"code": "<string>",
"type": "<string>"
}
]
}
],
"pageable": {
"pageNumber": 0,
"pageSize": 5,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"offset": 0,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 7,
"totalElements": 34,
"numberOfElements": 5,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"first": true,
"size": 5,
"number": 0,
"empty": true
}{
"content": [
{
"id": "<string>",
"call_sid": "<string>",
"call_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"summary": null,
"call_socket": {
"token": {
"token": "<string>",
"expires": 123,
"issued": 123,
"capability": "<string>",
"clientId": "<string>"
},
"channel": "<string>",
"updates_channel_host": "<string>",
"encryption_key": "<string>"
},
"call_details_record": {
"ani_number": "<string>",
"call_duration_ms": 123,
"call_started_at": "2023-11-07T05:31:56Z",
"call_answered_at": "2023-11-07T05:31:56Z",
"call_ended_at": "2023-11-07T05:31:56Z"
},
"call_locations": [
{
"latitude": 123,
"longitude": 123,
"accuracy": 123,
"city": "<string>",
"state": "<string>",
"streetAddress": "<string>",
"country": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"viewers": [
{
"userId": 123,
"firstName": "<string>",
"lastName": "<string>"
}
],
"agencies": [
{
"id": 123,
"name": "<string>",
"code": "<string>",
"type": "<string>"
}
]
}
],
"pageable": {
"pageNumber": 0,
"pageSize": 5,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"offset": 0,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 7,
"totalElements": 34,
"numberOfElements": 5,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"first": true,
"size": 5,
"number": 0,
"empty": true
}Realtime Calls
Get Calls
Returns a paginated list of calls for this tenant
GET
/
realtime
/
v1
/
call
Get Calls
Query Parameters
Page number (1-based)
Required range:
x >= 1Number of results per page (max 50)
Required range:
1 <= x <= 50Include call summary in the response
Response
Returns a paginated list of calls
Paginated response containing a list of calls
List of calls for the current page
Show child attributes
Show child attributes
Pagination details
Show child attributes
Show child attributes
Whether this is the last page
Total number of pages
Example:
7
Total number of elements across all pages
Example:
34
Number of elements in the current page
Example:
5
Sort information
Show child attributes
Show child attributes
Whether this is the first page
Page size
Example:
5
Current page number (0-indexed)
Example:
0
Whether the page is empty
⌘I

